|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes
gameplay::VertexFormat::Element Class Reference

`#include <VertexFormat.h>`

List of all members.

## Public Member Functions

| Element ()
| Element (Usage usage, unsigned int size)
bool | operator== (const Element &e) const
bool | operator!= (const Element &e) const

## Public Attributes

Usage | usage
unsigned int | size

## Detailed Description

Defines a single element within a vertex format.

All vertex elements are assumed to be of type float, but can have a varying number of float values (1-4), which is represented by the size attribute. Additionally, vertex elements are assumed to be tightly packed.

## Constructor & Destructor Documentation

gameplay::VertexFormat::Element::Element | ( |  | ) |

Constructor.

gameplay::VertexFormat::Element::Element | ( | Usage | usage,
|  | unsigned int | size
| ) |  |

Constructor.

Parameters:

  usage | The vertex element usage semantic.
  size | The number of float values in the vertex element.

## Member Function Documentation

bool gameplay::VertexFormat::Element::operator!= | ( | const Element & | e | ) | const

Compares to vertex elements for inequality.

Parameters:

  e | The vertex element to compare.

Returns:
  true if this element does not match the specified one, false otherwise.

bool gameplay::VertexFormat::Element::operator== | ( | const Element & | e | ) | const

Compares two vertex elements for equality.

Parameters:

  e | The vertex element to compare.

Returns:
  true if this element matches the specified one, false otherwise.

## Member Data Documentation

unsigned int gameplay::VertexFormat::Element::size

The number of values in the vertex element.

Usage gameplay::VertexFormat::Element::usage

The vertex element usage semantic.

All Classes Functions Variables Typedefs Enumerations Enumerator